package com.pms.ocp.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.pms.ocp.model.dto.ApiTreeGroupDto;
import com.pms.ocp.model.dto.OcpApiGroupDtos;
import com.pms.ocp.model.entity.OcpApiGroup;


public interface OcpApiTreeService extends IService<OcpApiGroup> {

    /**
     * 服务树分类
     */
    ApiTreeGroupDto getByGroup();

    /**
     * 新增服务分类
     */
    void insertTree(OcpApiGroupDtos ocpApiGroupDtos);


      /*
      修改服务分类
       */


    void updataOcpTree(OcpApiGroup ocpApiGroup);

    /**
     * 删除服务分类
     */
    boolean deleteOcpTree(OcpApiGroup ocpApiGroup);
}
